/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/*
    Created on : 2019/04/04, 14:11:29
    Author     : user01
*/

.panel-default > .panel-heading {
    background-image: -webkit-linear-gradient(top, #f5f5f5 0%, #e8e8e8 100%);
    background-image: -o-linear-gradient(top, #f5f5f5 0%, #e8e8e8 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, from(#f5f5f5), to(#e8e8e8));
    background-image: linear-gradient(to bottom, #f5f5f5 0%, #e8e8e8 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff5f5f5', endColorstr='#ffe8e8e8', GradientType=0);
    background-repeat: repeat-x;
    color: #333;
    background-color: #f5f5f5;
    border-color: #ddd;
}

/* ON/OFF スイッチ cf.https://webparts.cman.jp/button/onoff/ */
/* === ボタンを表示するエリア ============================== */
.switchArea {
    line-height    : 28px;                /* 1行の高さ          */
    letter-spacing : 0;                   /* 文字間             */
    text-align     : center;              /* 文字位置は中央     */
    font-size      : 11px;                /* 文字サイズ         */
    position       : relative;            /* 親要素が基点       */
    margin         : auto;                /* 中央寄せ           */
    width          : 69px;               /* ボタンの横幅       */
    background     : #fff;                /* デフォルト背景色   */
    border-radius  : 14px;                /* 角丸               */
  }
  
   /* === チェックボックス ==================================== */
  .switchArea input[type="checkbox"] {
    display        : none;            /* チェックボックス非表示 */
  }
  
   /* === チェックボックスのラベル（標準） ==================== */
  .switchArea label {
    display        : block;               /* ボックス要素に変更 */
    box-sizing     : border-box;          /* 枠線を含んだサイズ */
    height         : 28px;                /* ボタンの高さ       */
    border         : 2px solid #999999;   /* 未選択タブのの枠線 */
    border-radius  : 14px;                /* 角丸               */
  }
  
   /* === チェックボックスのラベル（ONのとき） ================ */
  .switchArea input[type="checkbox"]:checked +label {
    border-color   : #78bd78;             /* 選択タブの枠線     */
  }
  
   /* === 表示する文字（標準） ================================ */
  .switchArea label span:after{
    content        : "OFF";               /* 表示する文字       */
    padding        : 0 0 0 16px;          /* 表示する位置       */
    color          : #999999;             /* 文字色             */
  }
  
   /* === 表示する文字（ONのとき） ============================ */
  .switchArea  input[type="checkbox"]:checked + label span:after{
    content        : "ON";                /* 表示する文字       */
    padding        : 0 16px 0 0;          /* 表示する位置       */
    color          : #78bd78;             /* 文字色             */
  }
  
   /* === 丸部分のSTYLE（標準） =============================== */
  .switchArea #swImg
  ,.switchArea [id^="switchimage-"] {
    position       : absolute;            /* 親要素からの相対位置*/
    width          : 20px;                /* 丸の横幅           */
    height         : 20px;                /* 丸の高さ           */
    background     : #999999;             /* カーソルタブの背景 */
    top            : 4px;                 /* 親要素からの位置   */
    left           : 4px;                 /* 親要素からの位置   */
    border-radius  : 10px;                /* 角丸               */
    transition     : .2s;                 /* 滑らか変化         */
  }
  
   /* === 丸部分のSTYLE（ONのとき） =========================== */
  .switchArea input[type="checkbox"]:checked ~ #swImg
  ,.switchArea input[type="checkbox"]:checked ~ [id^="switchimage-"] {
    transform      : translateX(41px);    /* 丸も右へ移動       */
    background     : #78bd78;             /* カーソルタブの背景 */
  }